### Enumeration

# Qmi PdsOperationMode

since: 1.0

#### Declaration

    enum Qmi.PdsOperationMode

#### Description [src]

Operation mode used to compute the position.

Available since: 1.0

#### Members

`QMI_PDS_OPERATION_MODE_UNKNOWN`

  Unknown (position not fixed yet).

  - Value: `-1`
  - Available since: 1.0
`QMI_PDS_OPERATION_MODE_STANDALONE`

  Standalone.

  - Value: `0`
  - Available since: 1.0
`QMI_PDS_OPERATION_MODE_MS_BASED`

  Mobile Station Based (MSB) A-GPS.

  - Value: `1`
  - Available since: 1.0
`QMI_PDS_OPERATION_MODE_MS_ASSISTED`

  Mobile Station Assisted (MSA) A-GPS.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### qmi_pds_operation_mode_get_string

Gets the nickname string for the `QmiPdsOperationMode` specified at `val`.

since: 1.0